<?php
/**
 * Pagination Settings
 *
 * @package Feminine_Lifestyle_Blog
 */

function feminine_lifestyle_blog_customize_register_layout_pagination( $wp_customize ) {
    
    /** Pagination Settings */
    $wp_customize->add_section(
        'pagination_settings',
        array(
            'title'    => __( 'Pagination Layout', 'feminine-lifestyle-blog' ),
            'priority' => 70,
            'panel'    => 'layout_settings',
        )
    );
    
    /** Pagination Type */
    $wp_customize->add_setting( 
        'pagination_type', 
        array(
            'default'           => 'numbered',
            'sanitize_callback' => 'feminine_lifestyle_blog_sanitize_radio'
        ) 
    );
    
    $wp_customize->add_control(
        'pagination_type',
        array(
            'type'    => 'radio',
            'section' => 'pagination_settings',
            'label'   => __( 'Pagination Type', 'feminine-lifestyle-blog' ),
            'choices' => array(
				'default'         => __( 'Default ( Older / Newer )', 'feminine-lifestyle-blog' ),
                'numbered'        => __( 'Numbered (1 2 3 4...)', 'feminine-lifestyle-blog' )
			)
        )
    );
    
}
add_action( 'customize_register', 'feminine_lifestyle_blog_customize_register_layout_pagination' );